/* $Id: encoding.c,v 1.1 2005/04/22 13:39:06 ecd Exp $
 */

#include "encoding.h"

const encoding_t iso8859[] =
{
	{ ' ',	"space" },
	{ '!',	"exclam" },
	{ '"',	"quotedbl" },
	{ '#',	"numbersign" },
	{ '$',	"dollar" },
	{ '%',	"percent" },
	{ '&',	"ampersand" },
	{ '\'',	"quoteright" },
	{ '(',	"parenleft" },
	{ ')',	"parenright" },
	{ '*',	"asterisk" },
	{ '+',	"plus" },
	{ ',',	"comma" },
	{ '-',	"minus" },
	{ '.',	"period" },
	{ '/',	"slash" },
	{ '0',	"zero" },
	{ '1',	"one" },
	{ '2',	"two" },
	{ '3',	"three" },
	{ '4',	"four" },
	{ '5',	"five" },
	{ '6',	"six" },
	{ '7',	"seven" },
	{ '8',	"eight" },
	{ '9',	"nine" },
	{ ':',	"colon" },
	{ ';',	"semicolon" },
	{ '<',	"less" },
	{ '=',	"equal" },
	{ '>',	"greater" },
	{ '?',	"question" },
	{ '@',	"at" },
	{ 'A',	"A" },
	{ 'B',	"B" },
	{ 'C',	"C" },
	{ 'D',	"D" },
	{ 'E',	"E" },
	{ 'F',	"F" },
	{ 'G',	"G" },
	{ 'H',	"H" },
	{ 'I',	"I" },
	{ 'J',	"J" },
	{ 'K',	"K" },
	{ 'L',	"L" },
	{ 'M',	"M" },
	{ 'N',	"N" },
	{ 'O',	"O" },
	{ 'P',	"P" },
	{ 'Q',	"Q" },
	{ 'R',	"R" },
	{ 'S',	"S" },
	{ 'T',	"T" },
	{ 'U',	"U" },
	{ 'V',	"V" },
	{ 'W',	"W" },
	{ 'X',	"X" },
	{ 'Y',	"Y" },
	{ 'Z',	"Z" },
	{ '[',	"bracketleft" },
	{ '\\',	"backslash" },
	{ ']',	"bracketright" },
	{ '^',	"asciicircum" },
	{ '_',	"underscore" },
	{ '`',	"quoteleft" },
	{ 'a',	"a" },
	{ 'b',	"b" },
	{ 'c',	"c" },
	{ 'd',	"d" },
	{ 'e',	"e" },
	{ 'f',	"f" },
	{ 'g',	"g" },
	{ 'h',	"h" },
	{ 'i',	"i" },
	{ 'j',	"j" },
	{ 'k',	"k" },
	{ 'l',	"l" },
	{ 'm',	"m" },
	{ 'n',	"n" },
	{ 'o',	"o" },
	{ 'p',	"p" },
	{ 'q',	"q" },
	{ 'r',	"r" },
	{ 's',	"s" },
	{ 't',	"t" },
	{ 'u',	"u" },
	{ 'v',	"v" },
	{ 'w',	"w" },
	{ 'x',	"x" },
	{ 'y',	"y" },
	{ 'z',	"z" },
	{ '{',	"braceleft" },
	{ '|',	"bar" },
	{ '}',	"braceright" },
	{ '~',	"asciitilde" },
	{ '',	"exclamdown" },
	{ '',	"cent" },
	{ '',	"sterling" },
	{ '',	"currency" },
	{ '',	"yen" },
	{ '',	"brokenbar" },
	{ '',	"section" },
	{ '',	"dieresis" },
	{ '',	"copyright" },
	{ '',	"ordfeminine" },
	{ '',	"guillemotleft" },
	{ '',	"logicalnot" },
	{ '',	"endash" },
	{ '',	"registered" },
	{ '',	"macron" },
	{ '',	"degree" },
	{ '',	"plusminus" },
	{ '',	"twosuperior" },
	{ '',	"threesuperior" },
	{ '',	"acute" },
	{ '',	"mu" },
	{ '',	"paragraph" },
	{ '',	"periodcentered" },
	{ '',	"cedilla" },
	{ '',	"onesuperior" },
	{ '',	"ordmasculine" },
	{ '',	"guillemotright" },
	{ '',	"onequarter" },
	{ '',	"onehalf" },
	{ '',	"threequarters" },
	{ '',	"questiondown" },
	{ '',	"Agrave" },
	{ '',	"Aacute" },
	{ '',	"Acircumflex" },
	{ '',	"Atilde" },
	{ '',	"Adieresis" },
	{ '',	"Aring" },
	{ '',	"AE" },
	{ '',	"Ccedilla" },
	{ '',	"Egrave" },
	{ '',	"Eacute" },
	{ '',	"Ecircumflex" },
	{ '',	"Edieresis" },
	{ '',	"Igrave" },
	{ '',	"Iacute" },
	{ '',	"Icircumflex" },
	{ '',	"Idieresis" },
	{ '',	"Eth" },
	{ '',	"Ntilde" },
	{ '',	"Ograve" },
	{ '',	"Oacute" },
	{ '',	"Ocircumflex" },
	{ '',	"Otilde" },
	{ '',	"Odieresis" },
	{ '',	"multiply" },
	{ '',	"Oslash" },
	{ '',	"Ugrave" },
	{ '',	"Uacute" },
	{ '',	"Ucircumflex" },
	{ '',	"Udieresis" },
	{ '',	"Yacute" },
	{ '',	"Thorn" },
	{ '',	"germandbls" },
	{ '',	"agrave" },
	{ '',	"aacute" },
	{ '',	"acircumflex" },
	{ '',	"atilde" },
	{ '',	"adieresis" },
	{ '',	"aring" },
	{ '',	"ae" },
	{ '',	"ccedilla" },
	{ '',	"egrave" },
	{ '',	"eacute" },
	{ '',	"ecircumflex" },
	{ '',	"edieresis" },
	{ '',	"igrave" },
	{ '',	"iacute" },
	{ '',	"icircumflex" },
	{ '',	"idieresis" },
	{ '',	"eth" },
	{ '',	"ntilde" },
	{ '',	"ograve" },
	{ '',	"oacute" },
	{ '',	"ocircumflex" },
	{ '',	"otilde" },
	{ '',	"odieresis" },
	{ '',	"divide" },
	{ '',	"oslash" },
	{ '',	"ugrave" },
	{ '',	"uacute" },
	{ '',	"ucircumflex" },
	{ '',	"udieresis" },
	{ '',	"yacute" },
	{ '',	"thorn" },
	{ '',	"ydieresis" }
};

unsigned int nr_iso8859_chars = sizeof(iso8859) / sizeof(iso8859[0]);
